# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Refresh
Version:	0.18
Release:	5.%{__distinit}%{__distvers}
Summary:	Refresh %%INC files when updated on disk
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-Refresh
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Refresh-%{version}.tar.gz
Patch0:		Module-Refresh-0.17-Fix-for-no-dot-in-INC.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(lib)
# Dependencies of bundled Module::Install
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(ExtUtils::MM_Unix)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Parse::CPAN::Meta)
BuildRequires:	perl(vars)
BuildRequires:	perl(YAML::Tiny)
# Module Runtime
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(File::Temp) >= 0.19
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(warnings)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module is a generalization of the functionality provided by
Apache::StatINC. It's designed to make it easy to do simple iterative
development when working in a persistent environment.

%prep
%setup -q -n Module-Refresh-%{version}

# Fix building on Perls without '.' in @INC (CPAN RT#120812)
%patch -P 0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Refresh.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 0.18-5
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Tue May 10 2022 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18
  - Fix uninitialized warnings when modules were not successfully loaded

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.17-23
- Perl 5.30 rebuild

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 0.17-19
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 0.17-17
- Fix building on Perls without '.' in @INC (CPAN RT#120812)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.88 and File::Temp < 0.19

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 0.17-15
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Feb 26 2016 Paul Howarth <paul@city-fan.org> - 0.17-14
- Classify buildreqs by usage

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.17-10
- Drop %%defattr, redundant since rpm 4.4

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 0.17-3
- BR: perl(Cwd), perl(File::Path) and perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Oct 26 2011 Paul Howarth <paul@city-fan.org> - 0.17-1
- Update to 0.17:
  - Warnings avoidance for reloading a module not in %%INC
  - Updated inc/ and META.yml
- This release by ALEXMV -> update source URL

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 0.16-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Apr 15 2011 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16:
  - Added missing test dependencies (no functional changes)

* Wed Apr 13 2011 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14:
  - Actually remove subroutines from the symbol table
- BR: perl(Path::Class) for test suite
- Add patch to support building with Test::More < 0.88
- Test suite requires File::Temp 0.19, so use a local copy of it if the system
  version is too old
- Nobody else likes macros for commands

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.13-9
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.13-8
- Fix dist tag for RHEL-6 Beta

* Wed Jan 20 2010 Paul Howarth <paul@city-fan.org> - 0.13-7
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.13-6
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-3
- Rebuild for new perl

* Thu Sep 06 2007 Ralf Corsépius <<rc040203@freenet.de> - 0.13-2
- Update license tag

* Tue May 08 2007 Ralf Corsépius <<rc040203@freenet.de> - 0.13-1
- Upstream update

* Wed Apr 25 2007 Ralf Corsépius <<rc040203@freenet.de> - 0.11-1
- Upstream update

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.09-3
- Mass rebuild

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.09-2
- Rebuild for perl-5.8.8

* Sat Jan 14 2006 Ralf Corsépius <rc040203@freenet.de> - 0.09-1
- Upstream update

* Wed Nov 02 2005 Ralf Corsepius <rc040203@freenet.de> - 0.08-1
- Upstream update
